## flask-caching 1.8.0

=== Makefile ===
.PHONY: test tox clean dist upload docs

test:
	pytest

tox:
	@tox

clean:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -rf {} +

dist:
	python setup.py sdist bdist_wheel

upload:
	twine upload dist/* --skip-existing

docs:
	$(MAKE) -C docs html

=== debian/changelog ===
flask-caching (1.8.0-2) unstable; urgency=medium

  * Initial source-only upload

 -- Jonathan Carter <jcc@debian.org>  Fri, 10 Jan 2020 19:10:13 +0200

flask-caching (1.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #946043)

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 Dec 2019 11:37:28 +0200

=== debian/control ===
Source: flask-caching
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-flask,
               python3-nose,
               python3-setuptools,
	       python3-pytest
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/sh4nks/flask-caching/
Vcs-Git: https://salsa.debian.org/python-team/modules/flask-caching.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-caching

Package: python3-flask-caching
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Cache support for flask applications
 Flask extension that provides smart caching support.
 .
 This is a fork of python3-flask-cache that is still maintained,
 which maintains a high level of backward compatibility and new
 features.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-caching

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

## flask-caching 1.9.0

=== requirements.txt ===
Flask
Werkzeug
Sphinx
pytest
pytest-cov
pytest-xprocess
redis
pylibmc

=== debian/changelog ===
flask-caching (1.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jonathan Carter ]
  * New upstream release
  * Update standards version to 4.5.0
  * Update debhelper-compat to level 13
  * Update copyright years
  * Add watch file

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 Nov 2020 14:21:50 +0200

=== debian/control ===
Source: flask-caching
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-flask,
               python3-nose,
               python3-setuptools,
	       python3-pytest
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/sh4nks/flask-caching/
Vcs-Git: https://salsa.debian.org/python-team/packages/python3-flask-caching.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python3-flask-caching

Package: python3-flask-caching
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Cache support for flask applications
 Flask extension that provides smart caching support.
 .
 This is a fork of python3-flask-cache that is still maintained,
 which maintains a high level of backward compatibility and new
 features.

## flask-caching 1.10.1

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,7 @@
 pytest-xprocess
 redis
 pylibmc
+coverage
+flake8
+twine
+wheel

=== debian/changelog ===
flask-caching (1.10.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jonathan Carter ]
  * New upstream release
  * Update standards version to 4.5.1

 -- Jonathan Carter <jcc@debian.org>  Tue, 06 Apr 2021 14:39:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-nose,
                python3-setuptools,
 	       python3-pytest
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/sh4nks/flask-caching/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python3-flask-caching.git
@@ -27,4 +27,3 @@
  This is a fork of python3-flask-cache that is still maintained,
  which maintains a high level of backward compatibility and new
  features.
-

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,3 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-

## flask-caching 2.0.1

=== debian/changelog ===
flask-caching (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 02 Aug 2022 09:43:23 +0200

flask-caching (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Mon, 04 Jul 2022 13:47:55 +0200

flask-caching (1.11.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1

 -- Jonathan Carter <jcc@debian.org>  Wed, 01 Jun 2022 12:27:13 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-nose,
                python3-setuptools,
 	       python3-pytest
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/sh4nks/flask-caching/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python3-flask-caching.git

## flask-caching 2.0.2

=== debian/changelog ===
flask-caching (2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Feb 2023 15:31:31 +0200

flask-caching (2.0.1-3) unstable; urgency=medium

  * Team Upload.
  * Cleanup post every test so as to test multiple
    supported py3versions (Closes: #1024912)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 10 Dec 2022 13:29:01 +0530

flask-caching (2.0.1-2) unstable; urgency=medium

  * Team upload
  * Use pytest instead of nose for unit tests (Closes: #1018355)
  * Actually run tests
  * Build depend on python3-asgiref, -cachelib, -memcache, -pylibmc and
    -redis, needed by tests
  * Add functional testing with autopkgtest

 -- Emanuele Rocca <ema@debian.org>  Fri, 16 Sep 2022 12:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-asgiref <!nocheck>,
+               python3-cachelib (>= 0.9.0) <!nocheck>,
                python3-flask,
-               python3-nose,
+               python3-memcache <!nocheck>,
+               python3-pylibmc <!nocheck>,
+               python3-pytest,
+               python3-redis <!nocheck>,
                python3-setuptools,
-	       python3-pytest
+               python3-pytest,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/sh4nks/flask-caching/

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/flask-caching-$1\.tar\.gz/ \
   https://github.com/sh4nks/flask-caching/tags .*/v?(\d\S*)\.tar\.gz

## flask-caching 2.1.0

=== debian/changelog ===
flask-caching (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2

 -- Jonathan Carter <jcc@debian.org>  Sun, 29 Oct 2023 17:30:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,3 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_test:

=== debian/tests/control ===
Tests: functional
Depends:
 curl,
 python3-all,
 python3-flask-caching
Restrictions: allow-stderr, isolation-container

## flask-caching 2.2.0

=== debian/changelog ===
flask-caching (2.2.0-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Wed, 15 May 2024 12:20:54 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-redis <!nocheck>,
                python3-setuptools,
                python3-pytest,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/sh4nks/flask-caching/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python3-flask-caching.git

## flask-caching 2.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-Caching.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-Caching.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-Caching"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-Caching"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
flask-caching (2.3.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 27 Mar 2025 16:47:51 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                python3-pylibmc <!nocheck>,
                python3-pytest,
                python3-redis <!nocheck>,
-               python3-setuptools,
-               python3-pytest,
-Standards-Version: 4.6.2
+	       python3-setuptools,
+               python3
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://github.com/sh4nks/flask-caching/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python3-flask-caching.git
